## akonadi 17.12.3

=== autotests/private/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${Akonadi_SOURCE_DIR}/src/private
                    ${Akonadi_BINARY_DIR}/src/private)

macro(add_unit_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_source})
    add_test(NAME AkonadiPrivate-${_name} COMMAND ${_name})
    if (ENABLE_ASAN)
        set_tests_properties(AkonadiPrivate-${_name} PROPERTIES
                             ENVIRONMENT ASAN_OPTIONS=symbolize=1
        )
    endif()
    target_link_libraries(${_name}
        akonadi_shared
        akonadiprivate_static
        Qt5::Network
        Qt5::Widgets
        Qt5::Test
        ${CMAKE_EXE_LINKER_FLAGS_ASAN}
    )
endmacro()

add_unit_test(akstandarddirstest.cpp)
add_unit_test(akdbustest.cpp)
add_unit_test(notificationmessagetest.cpp)
add_unit_test(externalpartstoragetest.cpp)
if (NOT MSVC)
    # TODO: Make compile on Windows, right now it
    # causes some weird linking issues.
    add_unit_test(protocoltest.cpp)
endif()

=== autotests/server/CMakeLists.txt ===
########### next target ###############

# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_BINARY_DIR}/src/server
                    ${Akonadi_SOURCE_DIR}/src/server)

akonadi_run_xsltproc(
    XSL ${Akonadi_SOURCE_DIR}/src/server/storage/schema.xsl
    XML ${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/unittest_schema.xml
    BASENAME unittestschema
    CLASSNAME UnitTestSchema
)
akonadi_run_xsltproc(
    XSL ${CMAKE_CURRENT_SOURCE_DIR}/dbpopulator.xsl
    XML ${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/dbdata.xml
    BASENAME dbpopulator
)

set(common_SRCS
    unittestschema.cpp
    fakeconnection.cpp
    fakedatastore.cpp
    fakeclient.cpp
    fakeakonadiserver.cpp
    fakesearchmanager.cpp
    fakeitemretrievalmanager.cpp
    dbinitializer.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp
)

add_library(akonadi_unittest_common STATIC ${common_SRCS})
target_link_libraries(akonadi_unittest_common
    KF5AkonadiPrivate
    libakonadiserver
    Qt5::Core
    Qt5::DBus
    Qt5::Test
    Qt5::Sql
    Qt5::Network
)

macro(add_server_test _source)
    set(_test ${_source} ../../src/server/akonadiserver_debug.cpp)
    get_filename_component(_name ${_source} NAME_WE)
    qt5_add_resources(_test dbtest_data/dbtest_data.qrc)
    add_executable(${_name} ${_test})
    add_test(NAME AkonadiServer-${_name} COMMAND ${_name})
    if (ENABLE_ASAN)
        set_tests_properties(AkonadiServer-${_name} PROPERTIES
                             ENVIRONMENT ASAN_OPTIONS=symbolize=1
        )
    endif()
    set_tests_properties(AkonadiServer-${_name} PROPERTIES
                         ENVIRONMENT "QT_HASH_SEED=0;QT_NO_CPU_FEATURE=sse4.2"
    )
    target_link_libraries(${_name}
        akonadi_shared
        akonadi_unittest_common
        libakonadiserver
        KF5AkonadiPrivate
        Qt5::Core
        Qt5::DBus
        Qt5::Test
        Qt5::Sql
        Qt5::Network
        ${CMAKE_SHARED_LINKER_FLAGS_ASAN}
    )
endmacro()

add_server_test(dbtypetest.cpp)
add_server_test(dbintrospectortest.cpp)
add_server_test(querybuildertest.cpp)
add_server_test(dbinitializertest.cpp)
add_server_test(dbupdatertest.cpp)
add_server_test(handlertest.cpp)
add_server_test(dbconfigtest.cpp)
add_server_test(parthelpertest.cpp)
add_server_test(itemretrievertest.cpp)
add_server_test(notificationmanagertest.cpp)
add_server_test(parttypehelpertest.cpp)
add_server_test(collectionstatisticstest.cpp)

if (SQLITE_FOUND) # tests using the fake server need the QSQLITE3 plugin
add_server_test(partstreamertest.cpp)
add_server_test(akappendhandlertest.cpp)
add_server_test(linkhandlertest.cpp)
add_server_test(listhandlertest.cpp)
add_server_test(modifyhandlertest.cpp)
add_server_test(movehandlertest.cpp)
add_server_test(createhandlertest.cpp)
add_server_test(collectionreferencetest.cpp)
add_server_test(searchtest.cpp akonadiprivate)
add_server_test(relationhandlertest.cpp akonadiprivate)
add_server_test(taghandlertest.cpp akonadiprivate)
add_server_test(fetchhandlertest.cpp akonadiprivate)
endif()

=== src/agentserver/CMakeLists.txt ===
# Agent server
set(akonadi_agent_server_srcs
    agentpluginloader.cpp
    agentserver.cpp
    agentthread.cpp
    main.cpp
)

ecm_qt_declare_logging_category(akonadi_agent_server_srcs HEADER akonadiagentserver_debug.h IDENTIFIER AKONADIAGENTSERVER_LOG CATEGORY_NAME org.kde.pim.akonadiagentserver)

add_executable(akonadi_agent_server ${akonadi_agent_server_srcs})

target_link_libraries(akonadi_agent_server
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
)

# Agent plugin launcher
set(akonadi_agent_launcher_SRCS
    agentpluginloader.cpp
    agentlauncher.cpp
    akonadiagentserver_debug.cpp
)

add_executable(akonadi_agent_launcher MACOSX_BUNDLE ${akonadi_agent_launcher_SRCS})

target_link_libraries(akonadi_agent_launcher
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::Widgets
)

if(Q_WS_MAC)
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.agentlauncher")
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Akonadi Agent Launcher")
endif()

# Install both helper apps.
if(Q_WS_MAC)
  install(TARGETS akonadi_agent_launcher
          DESTINATION ${AKONADI_BUNDLE_PATH})
else()
  install(TARGETS akonadi_agent_launcher
          DESTINATION ${BIN_INSTALL_DIR})
endif()

install(TARGETS akonadi_agent_server
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}})

=== src/akonadictl/CMakeLists.txt ===
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

set(akonadictl_SRCS
    akonadistarter.cpp
    main.cpp
)

ecm_qt_declare_logging_category(akonadictl_SRCS HEADER akonadictl_debug.h IDENTIFIER AKONADICTL_LOG CATEGORY_NAME org.kde.pim.akonadictl)

qt5_add_dbus_interfaces(akonadictl_SRCS
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ControlManager.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Janitor.xml
)

add_executable(akonadictl ${akonadictl_SRCS})
set_target_properties(akonadictl PROPERTIES OUTPUT_NAME akonadictl)
target_link_libraries(akonadictl
    akonadi_shared
    KF5AkonadiPrivate
    KF5::CoreAddons
    Qt5::Core
    Qt5::DBus
)

install(TARGETS akonadictl
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}}
)

=== src/server/CMakeLists.txt ===
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR})

if(MYSQLD_EXECUTABLE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMYSQLD_EXECUTABLE=\"\\\"${MYSQLD_EXECUTABLE}\\\"\"")
endif()

if(POSTGRES_PATH)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPOSTGRES_PATH=\"\\\"${POSTGRES_PATH}\\\"\"")
endif()

########### next target ###############
set(AKONADI_DB_SCHEMA "${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xml")

akonadi_run_xsltproc(
    XSL ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities.xsl
    XML ${AKONADI_DB_SCHEMA}
    BASENAME entities
)

akonadi_run_xsltproc(
    XSL ${Akonadi_SOURCE_DIR}/src/server/storage/schema.xsl
    XML ${AKONADI_DB_SCHEMA}
    CLASSNAME AkonadiSchema
    BASENAME akonadischema
)

akonadi_add_xmllint_test(
    akonadidb-xmllint
    XSD ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xsd
    XML ${AKONADI_DB_SCHEMA}
)
akonadi_add_xmllint_test(
    akonadidbupdate-xmllint
    XSD ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xsd
    XML ${AKONADI_DB_SCHEMA}
)

set(libakonadiserver_SRCS
    akonadi.cpp
    aklocalserver.cpp
    akthread.cpp
    commandcontext.cpp
    connection.cpp
    collectionscheduler.cpp
    dbusconnectionpool.cpp
    handler.cpp
    handlerhelper.cpp
    intervalcheck.cpp
    collectionreferencemanager.cpp
    handler/akappend.cpp
    handler/copy.cpp
    handler/colcopy.cpp
    handler/colmove.cpp
    handler/create.cpp
    handler/delete.cpp
    handler/fetch.cpp
    handler/fetchhelper.cpp
    handler/link.cpp
    handler/list.cpp
    handler/login.cpp
    handler/logout.cpp
    handler/modify.cpp
    handler/move.cpp
    handler/remove.cpp
    handler/resourceselect.cpp
    handler/relationstore.cpp
    handler/relationremove.cpp
    handler/relationfetch.cpp
    handler/search.cpp
    handler/searchhelper.cpp
    handler/searchpersistent.cpp
    handler/searchresult.cpp
    handler/status.cpp
    handler/store.cpp
    handler/tagappend.cpp
    handler/tagfetch.cpp
    handler/tagfetchhelper.cpp
    handler/tagremove.cpp
    handler/tagstore.cpp
    handler/transaction.cpp
    search/agentsearchengine.cpp
    search/agentsearchinstance.cpp
    search/searchtaskmanager.cpp
    search/searchrequest.cpp
    search/searchmanager.cpp

    storage/collectionqueryhelper.cpp
    storage/collectionstatistics.cpp
    storage/entity.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/akonadischema.cpp
    storage/datastore.cpp
    storage/dbconfig.cpp
    storage/dbconfigmysql.cpp
    storage/dbconfigpostgresql.cpp
    storage/dbconfigsqlite.cpp
    storage/dbexception.cpp
    storage/dbinitializer.cpp
    storage/dbinitializer_p.cpp
    storage/dbintrospector.cpp
    storage/dbintrospector_impl.cpp
    storage/dbupdater.cpp
    storage/dbtype.cpp
    storage/itemqueryhelper.cpp
    storage/itemretriever.cpp
    storage/itemretrievalmanager.cpp
    storage/itemretrievaljob.cpp
    storage/notificationcollector.cpp
    storage/parthelper.cpp
    storage/parttypehelper.cpp
    storage/query.cpp
    storage/querybuilder.cpp
    storage/querycache.cpp
    storage/queryhelper.cpp
    storage/schematypes.cpp
    storage/tagqueryhelper.cpp
    storage/transaction.cpp
    storage/parthelper.cpp
    storage/partstreamer.cpp
    storage/storagedebugger.cpp
    tracer.cpp
    utils.cpp
    dbustracer.cpp
    filetracer.cpp
    notificationmanager.cpp
    notificationsubscriber.cpp
    resourcemanager.cpp
    cachecleaner.cpp
    debuginterface.cpp
    preprocessorinstance.cpp
    preprocessormanager.cpp
    storagejanitor.cpp
)

set(akonadiserver_SRCS
    main.cpp
)
ecm_qt_declare_logging_category(akonadiserver_SRCS HEADER akonadiserver_debug.h IDENTIFIER AKONADISERVER_LOG CATEGORY_NAME org.kde.pim.akonadiserver)
qt5_generate_dbus_interface(debuginterface.h org.freedesktop.Akonadi.DebugInterface.xml)

qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.TracerNotification.xml dbustracer.h Akonadi::Server::DBusTracer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Tracer.xml tracer.h Akonadi::Server::Tracer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Server.xml akonadi.h Akonadi::Server::AkonadiServer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.StorageDebugger.xml storage/storagedebugger.h Akonadi::Server::StorageDebugger)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml debuginterface.h Akonadi::Server::DebugInterface)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resourcemanager.h Akonadi::Server::ResourceManager)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessormanager.h Akonadi::Server::PreprocessorManager)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanagerinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Resource.xml resourceinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Preprocessor.xml preprocessorinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Control.xml agentcontrolinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface)

qt5_add_resources(libakonadiserver_SRCS storage/akonadidb.qrc)

add_library(libakonadiserver STATIC ${libakonadiserver_SRCS})
set_target_properties(libakonadiserver PROPERTIES OUTPUT_NAME akonadiserver)
target_link_libraries(libakonadiserver
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::Network
    Qt5::Sql
    Qt5::DBus
    Qt5::Xml
)

add_executable(akonadiserver ${akonadiserver_SRCS})
set_target_properties(akonadiserver PROPERTIES OUTPUT_NAME akonadiserver)
target_link_libraries(akonadiserver
    libakonadiserver
    KF5::CoreAddons
)

install(TARGETS akonadiserver
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  storage/mysql-global.conf
  storage/mysql-global-mobile.conf
  DESTINATION ${CONFIG_INSTALL_DIR}/akonadi
)

install(FILES
  search/abstractsearchplugin.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/akonadi
)

## DBus XML files
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml
        DESTINATION ${AKONADI_DBUS_INTERFACES_INSTALL_DIR}
)

=== templates/akonadiresource/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(%{APPNAMELC})

set(ECM_MIN_VERSION "5.22.0")
find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

set(QT_MIN_VERSION "5.6.0")
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Core DBus Gui)

set(KF5_MIN_VERSION "5.22.0")
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(AKONADI_MIN_VERSION "5.2")
find_package(KF5Akonadi ${AKONADI_MIN_VERSION} CONFIG REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc DOC "Path to the xsltproc executable")
if (NOT XSLTPROC_EXECUTABLE)
    message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/xml/autotests/CMakeLists.txt ===

set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
include(ECMMarkAsTest)

macro(add_libakonadixml_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(akonadixml-${_name})
  set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1;QT_NO_CPU_FEATURE=sse4.2")
  set_target_properties(${_name} PROPERTIES COMPILE_FLAGS -DKDESRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")
  target_link_libraries(${_name} KF5AkonadiCore KF5::AkonadiXml Qt5::Test Qt5::Xml) 
endmacro()

add_libakonadixml_test(collectiontest.cpp)
add_libakonadixml_test(xmldocumenttest.cpp)

=== debian/changelog ===
akonadi (4:17.12.3-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:01 -0500

akonadi (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Add back akonadi-backend-postgresql dependency package, dropped in
    error in Artful. (LP: #1726112)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Apr 2018 08:33:57 +0100

akonadi (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:11 +0000

akonadi (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * PIM/akonadi is already broken in -release. So see if we can trade
    this off against just breaking it for the sqlite backend, which we
    don't use by default anyway. To be reverted when Qt 5.9.4 migrates.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Mar 2018 16:19:30 +0000

akonadi (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:42:59 +0000

akonadi (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Dec 2017 10:37:48 +0100

akonadi (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Bump soname with debianabimanager due to binary incompatible changes
    Upstream commit 9a0e50db1c0696b1d920610ff239146cf04cf88a
    'ABI break: merge ItemSerializerPluginV2 into ItemSerializerPlugin'
    - libkf5akonadicore5 -> libkf5akonadicore5abi1
  * Refresh symbols and remove further missing on ABI bumped and private libs
  * Drop upstream applied upstream_fix_korganiser_reminders.patch
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 14:59:45 +0000

akonadi (4:17.04.3-0ubuntu3) bionic; urgency=medium

  * debian/patches: Add upstream_fix_korganiser_reminders.patch
    Backport upstream fix for KDE Bug:384212 so the korganiser daemon
    can access and act on reminders (LP: #1730513)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 07 Nov 2017 12:44:50 +0000

akonadi (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:13:17 -0500

=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               default-libmysqlclient-dev | libmysqlclient-dev,
               dh-apparmor,
               extra-cmake-modules (>= 5.31.0~),
               kdesignerplugin (>= 5.31.0~),
               kgendesignerplugin (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5networkmanagerqt-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libqt5designer5,
               libsqlite3-dev (>= 3.6.23),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${binary:Version})
Breaks: akonadiconsole (<< 4:16.12),
        kapptemplate (<< 4:17.11.80~),
        kdepimlibs-data (<<  4:16.04),
        kmail (<< 4:16.12),
        korganizer (<< 4:16.12)
Replaces: kapptemplate (<< 4:17.11.80~), kdepimlibs-data (<<  4:16.04)
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libkf5akonadi-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.34.0~),
         libkf5akonadiagentbase5 (= ${binary:Version}),
         libkf5akonadicore5abi1 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= ${binary:Version}),
         libkf5akonadiwidgets5 (= ${binary:Version}),
         libkf5akonadixml5 (= ${binary:Version}),
         libkf5completion-dev (>= 5.31.0~),
         libkf5itemmodels-dev (>= 5.31.0~),
         libkf5jobwidgets-dev (>= 5.31.0~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5service-dev (>= 5.31.0~),
         libkf5solid-dev (>= 5.31.0~),
         libkf5xmlgui-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.13)
Breaks: kdepim-runtime (<< 4:4.13)
Conflicts: kdepimlibs5-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadi-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepimlibs5-dev, ${kde-l10n:all}
Replaces: kdepimlibs5-dev, ${kde-l10n:all}
Description: Additional development binaries for the Akonadi KDE PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiagentbase5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi agent base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicore5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadiwidgets5 (= ${binary:Version})
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicore-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Tools for Akonadi core library
 Tools used by Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Replaces: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Description: Akonadi widgets library
 This library contains standard widgets for the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadixml5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libkf5akonadiserver-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
Breaks: libakonadi-dev
Replaces: libakonadi-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: libqt5sql5-mysql,
         mysql-client-core-5.7 | virtual-mysql-client-core,
         mysql-server-core-5.7 | virtual-mysql-server-core,
         ${misc:Depends}
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt5sql5-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
lib_packages = $(filter lib%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DAKONADI_RUN_SQLITE_ISOLATED_TESTS=OFF \
	    -DAKONADI_RUN_MYSQL_ISOLATED_TESTS=OFF \
	    -DAKONADI_RUN_PGSQL_ISOLATED_TESTS=OFF \
	    -D_testrunner=/usr/bin/akonaditest

override_dh_gencontrol:
	$(overridden_command) -- -V"stdexception:Depends="$$(cut -d" " -f2 debian/tmp/usr/include/KF5/AkonadiCore/std_exception.h | xargs dpkg -S | cut -d: -f1)

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xkdepimlibs-data -xlibkf5akonadicore-bin
	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-9-4
	$(overridden_command) --remaining-packages -- -xkdepimlibs-data

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus-x11, libxml2-utils, libgl1-mesa-dri
#Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## akonadi 18.04.3

=== debian/changelog ===
akonadi (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Update mysql backend apparmor profile. (LP: #1797643)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 13 Oct 2018 11:15:42 +0100

akonadi (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update symbols
  * New upstream release (18.03.80)
  * Update lintian overrides
  * Sync watchfile and copyright files with debian
  * Update standards, compat and debhelper versions
  * Add upstream signing key
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream applied patch fixing build with Qt 5.11
  * As per debian, bump abi of:
    - libkf5akonadiprivate5 -> libkf5akonadiprivate5abi1
    - libkf5akonadiwidgets5 -> libkf5akonadiwidgeta5abi1
  * Update sqlite workaround for 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:14 +0100

akonadi (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Fix FTBFS with Qt 5.11.1.
  * Mark a symbol as optional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 07:54:49 -0500

akonadi (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:20:22 -0500

akonadi (4:17.11.90-0ubuntu1) UNRELEASED; urgency=medium

  * New build depend on libkf5networkmanagerqt-dev
  * Install kdevappwizard templates 
  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Build dep on libboost-graph-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Dec 2017 10:54:17 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Modestas Vainius <modax@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                default-libmysqlclient-dev | libmysqlclient-dev,
                dh-apparmor,
                extra-cmake-modules (>= 5.31.0~),
                kdesignerplugin (>= 5.31.0~),
                kgendesignerplugin (>= 5.31.0~),
                libboost-dev (>= 1.34.0~),
+               libboost-graph-dev,
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -37,8 +37,8 @@
                qtbase5-private-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.20),
-               xsltproc
-Standards-Version: 3.9.8
+               xsltproc,
+Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
@@ -71,7 +71,7 @@
          libkf5akonadiagentbase5 (= ${binary:Version}),
          libkf5akonadicore5abi1 (= ${binary:Version}),
          libkf5akonadiserver-dev (>= ${binary:Version}),
-         libkf5akonadiwidgets5 (= ${binary:Version}),
+         libkf5akonadiwidgets5abi1 (= ${binary:Version}),
          libkf5akonadixml5 (= ${binary:Version}),
          libkf5completion-dev (>= 5.31.0~),
          libkf5itemmodels-dev (>= 5.31.0~),
@@ -82,7 +82,7 @@
          libkf5xmlgui-dev (>= 5.31.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Replaces: kdepim-runtime (<< 4:4.13)
 Breaks: kdepim-runtime (<< 4:4.13)
 Conflicts: kdepimlibs5-dev
@@ -121,7 +121,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libkf5akonadiwidgets5 (= ${binary:Version})
+Recommends: libkf5akonadiwidgets5abi1 (= ${binary:Version})
 Description: Akonadi core library
  This library contains Akonadi PIM data server core classes.
  .
@@ -137,7 +137,9 @@
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
-Package: libkf5akonadiwidgets5
+Package: libkf5akonadiwidgets5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5AkonadiWidgets
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -157,7 +159,9 @@
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
-Package: libkf5akonadiprivate5
+Package: libkf5akonadiprivate5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5AkonadiPrivate
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -172,7 +176,7 @@
 Package: libkf5akonadiserver-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5akonadiprivate5abi1 (= ${binary:Version}), ${misc:Depends}
 Breaks: libakonadi-dev
 Replaces: libakonadi-dev
 Description: development files for the Akonadi PIM storage service

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 override_dh_shlibdeps:
 	$(overridden_command) $(foreach p,$(lib_packages),-p$(p)) -- -xkdepimlibs-data -xlibkf5akonadicore-bin
-	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-9-4
+	$(overridden_command) -pakonadi-backend-sqlite -- -xqtbase-abi-5-11-0
 	$(overridden_command) --remaining-packages -- -xkdepimlibs-data
 
 override_dh_strip:
